For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for Piattaforma, version Versione precedente.
For other versions, use one of these documentation indexes:
- V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
- V4 sperimentale: https://next.developer.frame.io/platform/v4-experimental/llms.txt
- Versione precedente: https://next.developer.frame.io/platform/v2/llms.txt
Recupera voci del registro di controllo per l’utente specificato
GET
https://api.frame.io/v2/users/:user_id/events
Recupera i registri di controllo per un determinato utente, con alcune opzioni di filtro tramite parametri di query. Funge da registro delle attività per l’utente specificato
Autenticazione
AuthorizationBearer
Autenticazione bearer nella forma `Bearer <token>`, dove token è il tuo token di autenticazione.
Parametri di percorso
user_idstringObbligatorioformat: "uuid"Predefinito a erfb57e0-79f2-4bc7-9b70-99fbc175175c
User ID
Parametri di query
filters[start_date]stringOpzionaleformat: "date"
Data ISO di inizio
filters[end_date]stringOpzionaleformat: "date"
Data ISO di fine
filters[resource_type]enumOpzionale
Filtra per tipo di risorsa
filters[event_type]enumOpzionale
Filtra per tipo di attività
filters[team_id]stringOpzionaleformat: "uuid"
Filtra per ID team
filters[project_id]stringOpzionaleformat: "uuid"
Filtra per ID progetto
filters[resource_id]stringOpzionaleformat: "uuid"
Filtra per ID risorsa (ID risorsa, ID progetto, ID utente)
filters[user_id]stringOpzionaleformat: "uuid"
Filtra per ID utente
filters[ip_address]stringOpzionale
Filtra per indirizzo IP
pageintegerOpzionalePredefinito a 1
Numero pagina
page_sizeintegerOpzionale<=200Predefinito a 50
Record per pagina
Header di risposta
linkstringOpzionale
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages
Risposta
Succesful Event logs response
account_idstring or nullOpzionaleformat: "uuid"
anonymous_user_idstring or nullOpzionaleformat: "uuid"
clientstring or nullOpzionale
Il client API che ha attivato l’evento di audit. Questo campo non viene sempre popolato.
Quando la chiamata API che ha generato un evento viene effettuata tramite un’app OAuth, il valore è simile a oauth_app/:uuid; se invece viene effettuata tramite un token sviluppatore, il valore è simile a user_token/:uuid, dove UUID corrisponde all’ID utente a cui appartiene il token.